Description: Upstream changes introduced in version 1.5.0.svn.r5382-3
 This patch has been created by dpkg-source during the package build.
 Here's the last changelog entry, hopefully it gives details on why
 those changes were made:
 .
 openmodelica (1.5.0.svn.r5382-3) unstable; urgency=low
 .
   * Adding -source and -target to java_interface makefile.
 .
 The person named in the Author field signed this changelog entry.
Author: Martin Sjölund <martin.sjolund@liu.se>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: http://bugs.debian.org/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- openmodelica-1.5.0.svn.r5382.orig/c_runtime/java_interface/Makefile.omdev.mingw
+++ openmodelica-1.5.0.svn.r5382/c_runtime/java_interface/Makefile.omdev.mingw
@@ -3,9 +3,9 @@ include Makefile.common
 modelica_java.jar: $(java_sources)
 	@echo "* Compiling modelica_java.jar"
 	@rm -rf bin-jar; mkdir bin-jar
-	@"$(JAVAC)" -cp "$(antlr)" -d bin-jar $(java_sources)
+	@"$(JAVAC)" -source 5 -cp "$(antlr)" -d bin-jar $(java_sources)
 	@"$(JAR)" cf $@ $(java_sources:src/%=-C src %) $(resources:src/%=-C src %) -C bin-jar . || (rm $@ && false)
 test: $(java_sources)
 	rm -rf bin-test; mkdir bin-test
-	@"$(JAVAC)" -cp "$(antlr);$(junit)" -d bin-test $(java_sources) $(java_tests)
+	@"$(JAVAC)" -source 5 -cp "$(antlr);$(junit)" -d bin-test $(java_sources) $(java_tests)
 	"$(JAVA)" -cp "bin-test;src;$(antlr);$(junit)" org.junit.runner.JUnitCore $(junit_tests)
--- openmodelica-1.5.0.svn.r5382.orig/c_runtime/java_interface/Makefile
+++ openmodelica-1.5.0.svn.r5382/c_runtime/java_interface/Makefile
@@ -3,9 +3,9 @@ include Makefile.common
 modelica_java.jar: $(java_sources)
 	@echo "* Compiling modelica_java.jar"
 	@rm -rf bin-jar; mkdir bin-jar
-	@"$(JAVAC)" -cp "$(antlr)" -d bin-jar $(java_sources)
+	@"$(JAVAC)" -source 5 -cp "$(antlr)" -d bin-jar $(java_sources)
 	@$(JAR) cf modelica_java.jar $(java_sources:src/%=-C src %) $(resources:src/%=-C src %) -C bin-jar . || (rm $@ && false)
 test: $(java_sources)
 	rm -rf bin-test; mkdir bin-test
-	@"$(JAVAC)" -cp "$(antlr):$(junit)" -d bin-test $(java_sources) $(java_tests)
+	@"$(JAVAC)" -source 5 -cp "$(antlr):$(junit)" -d bin-test $(java_sources) $(java_tests)
 	$(JAVA) -cp "bin-test:src:$(antlr):$(junit)" org.junit.runner.JUnitCore $(junit_tests)
